{
  pkgs,
  inputs,
  ...
}:
let
  nr = import ./packages/nr.nix { inherit pkgs; };
  nrr = import ./packages/nrr.nix { inherit pkgs; };
in
{
  environment.systemPackages = with pkgs; [
    nr
    nrr

    # 네트워크 도구
    networkmanager
    networkmanager-ssh

    # 개발 도구
    gcc
    gnumake

    nil
    nixd

    cockpit
    libvirt
    virt-manager

    mono
    msbuild

    docker
    docker-buildx
    docker-compose
    docker-client
    uv
    python3

    openssl
    pkg-config

    mtr
    glibc

    gtk3
    pango
    librsvg
    penelope

    ntfs3g

    _1password-cli
    _1password-gui

    inputs.muvel.packages.${pkgs.stdenv.hostPlatform.system}.muvel

    sbctl
  ];
}
